# fix build (debuginfo package is empty...):
%define debug_package %{nil}

Name:      ibus-table
Summary:   ibus - table-based engine
Version:   1.9.25
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/kaio/ibus-table
Source0:   https://github.com/kaio/ibus-table/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(ibus-1.0) >= 1.2.0
BuildRequires: python3-devel >= 3.3
BuildRequires: gettext-devel
BuildRequires: docbook-utils
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:  ibus >= 1.2.0
Requires:  python3
Provides:  %{name}-devel = %{version}-%{release}

%description
ibus - table-based engine.

%package compose
Summary: Mimic Compose Key input
Group: System/Internationalization
Requires: %{name} >= 1.2.0.20091113-3
Conflicts: %{name} < 1.2.0.20091113-3

%description compose
Provides Mimic Compose Key input via ibus-table.

%package latex
Summary: Use LaTeX input keystrokes to input symbols
Group: System/Internationalization
Requires: %{name} >= 1.2.0.20091113-3
Conflicts: %{name} < 1.2.0.20091113-3

%description latex
Use LaTeX input keystrokes to input lots of symbols.

%prep
%setup -q 

%build
sh autogen.sh
%configure
%make_build

%install
%make_install NO_INDEX=1

mkdir -p %{buildroot}%{_datadir}/pkgconfig/
mv %{buildroot}%{_libdir}/pkgconfig/ibus-table.pc %{buildroot}%{_datadir}/pkgconfig/ibus-table.pc

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/ibus-table-createdb
%{_libexecdir}/ibus-*
%{_datadir}/pkgconfig/ibus-table.pc
%{_datadir}/applications/ibus-setup-table.desktop
%{_datadir}/ibus-table
%{_datadir}/ibus/component/*.xml
%{_datadir}/metainfo/*.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.table.gschema.xml
%{_mandir}/man1/ibus-*


%changelog
* Mon Mar 02 2020 daviddavid <daviddavid> 1.9.25-1.mga8
+ Revision: 1552776
- new version: 1.9.25

* Fri Feb 14 2020 umeabot <umeabot> 1.9.21-2.mga8
+ Revision: 1521410
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 21 2018 yochenhsieh <yochenhsieh> 1.9.21-1.mga7
+ Revision: 1344188
- New version 1.9.21

* Sun Sep 23 2018 umeabot <umeabot> 1.9.18-2.mga7
+ Revision: 1298261
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Sep 28 2017 tv <tv> 1.9.18-1.mga7
+ Revision: 1161016
- fix filelist
- new release

* Tue May 23 2017 yochenhsieh <yochenhsieh> 1.9.16-1.mga6
+ Revision: 1104282
- New version 1.9.16

* Tue Jan 03 2017 yochenhsieh <yochenhsieh> 1.9.14-1.mga6
+ Revision: 1079895
- New version 1.9.14

* Wed May 11 2016 yochenhsieh <yochenhsieh> 1.9.12-1.mga6
+ Revision: 1012987
- new version 1.9.12

* Fri Feb 12 2016 yochenhsieh <yochenhsieh> 1.9.11-1.mga6
+ Revision: 957272
- New version 1.9.11

* Mon Sep 07 2015 fwang <fwang> 1.9.6-2.mga6
+ Revision: 873888
- move to noarch package

* Mon Sep 07 2015 fwang <fwang> 1.9.6-1.mga6
+ Revision: 873887
- 1.9.6

* Sun Sep 06 2015 tv <tv> 1.8.10-4.mga6
+ Revision: 873173
- fix build with rpm-4.13 (debuginfo package is empty...)
- switch to new upstream file trigger syntax

* Thu Oct 16 2014 luigiwalser <luigiwalser> 1.8.10-3.mga5
+ Revision: 759359
- the ibus-table-createdb command requires python3
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.10-2.mga5
+ Revision: 680424
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Sep 06 2014 tv <tv> 1.8.10-1.mga5
+ Revision: 672662
- switch to python3
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 523660
- Mageia 4 Mass Rebuild

* Fri May 24 2013 fwang <fwang> 1.5.0-1.mga4
+ Revision: 425887
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.99.20121112-2.mga3
+ Revision: 354087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 1.4.99.20121112-1.mga3
+ Revision: 317011
- new version 1.4.99.20121112

* Sat Oct 20 2012 fwang <fwang> 1.4.99.20121012-1.mga3
+ Revision: 308408
- new version 1.4.99.20121012

* Thu Oct 11 2012 fwang <fwang> 1.4.99.20121011-1.mga3
+ Revision: 304618
- update file list
- new version 1.4.99.20121011

* Sat Sep 03 2011 fwang <fwang> 1.3.9.20110827-1.mga2
+ Revision: 138111
- update file list
- new version 1.3.9.20110827

* Thu Mar 24 2011 boklm <boklm> 1.3.0.20100621-3.mga1
+ Revision: 76156
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 1.3.0.20100621-2.mga1
+ Revision: 73612
- imported package ibus-table


* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100621-2mdv2011.0
+ Revision: 592715
- rebuild for py2.7

* Thu Jun 24 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100621-1mdv2010.1
+ Revision: 548991
- New version 1.3.0.20100621

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100111-1mdv2010.1
+ Revision: 504507
- New version 1.2.0.20100111

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20091113-3mdv2010.1
+ Revision: 492802
- split out compose and latext methods (for furture reorganize)

* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20091113-2mdv2010.1
+ Revision: 487915
- add ibus-table file trigger to simplify table installation

* Fri Nov 13 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091113-1mdv2010.1
+ Revision: 465675
- New version 20091113

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090912-1mdv2010.0
+ Revision: 441989
- fix file list
- New version 1.2.0.20090912

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090804-1mdv2010.0
+ Revision: 408681
- new version 1.2.0.20090804
- new version 1.2.0

* Mon Jun 15 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090615-1mdv2010.0
+ Revision: 386038
- fix file list
- New version 1.1.0.20090609

* Thu Jun 11 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090609-1mdv2010.0
+ Revision: 385122
- New version 1.1.0.20090609

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090603-1mdv2010.0
+ Revision: 382428
- New version 1.1.0.20090603

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090601-1mdv2010.0
+ Revision: 382246
- New version 1.1.0.20090601

* Thu May 28 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090527-1mdv2010.0
+ Revision: 380315
- new version 1.1.0.20090527

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090505-1mdv2010.0
+ Revision: 372179
- New version 1.1.0.20090505

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090306-1mdv2009.1
+ Revision: 351834
- New version 1.1.0.20090306

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090220-1mdv2009.1
+ Revision: 343570
- New version 1.1.0.20090220

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.1.2.20090104-1mdv2009.1
+ Revision: 324424
- New version 0.1.2.20090104
  engine splitted

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081115-2mdv2009.1
+ Revision: 318669
- rebuild for new python

* Mon Nov 17 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081115-1mdv2009.1
+ Revision: 303971
- New version 0.1.1.20081115

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081014-2mdv2009.1
+ Revision: 296428
- enable engine

* Fri Oct 17 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081014-1mdv2009.1
+ Revision: 294563
- New version 0.1.1.20081014

* Fri Sep 05 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080901-1mdv2009.0
+ Revision: 281259
- new version

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080829-1mdv2009.0
+ Revision: 277703
- New version 0.1.1.20080829

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080823-1mdv2009.0
+ Revision: 275875
- import ibus-table


